import { EventEmitter, OnInit, OnChanges } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
export declare class AbLoginFormComponent implements OnInit, OnChanges {
    fb: FormBuilder;
    translateService: any;
    nameRegex: RegExp;
    passwordRegex: RegExp;
    nameLabel: string;
    passwordLabel: string;
    submitLabel: string;
    submitError: string;
    passwordError: string;
    nameError: string;
    namePlaceholder: string;
    passwordPlaceholder: string;
    login: EventEmitter<any>;
    loginForm: FormGroup;
    authenticated: boolean;
    submitted: boolean;
    labels: string[];
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    submitForm(form: any): void;
    translateForm(): void;
}
